function parametererror(op)

if(op.components~=op.xdim*op.ydim)
    error('Ensure if op.components==op.xdim*op.ydim.');
end

if(op.xdim<op.ydim)
    error('op.xdim must be larger than op.ydim.');
end

if((op.toponum~=2) && (op.toponum~=4) && (op.toponum~=8))
    error('Insert 2, 4 or 8 to op.toponum.');
end

if(op.ydim==1)
    if(op.toponum~=2)
        error('Check op.toponum and op.ydim.');
    end
else
    if(op.toponum==2)
        error('Check op.toponum and op.ydim.');
    end    
end

if((strcmp(op.f,'TICA')==1)&&(1<op.ydim)&&(op.ordersign==1))
    error('No algorithm in step.2 for TICA on a two dimensional lattice.');
end